Bug 323921 - Add Channel taxonomy data support to content management tools
Add Channel taxonomy data support to content management tools
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan Kearney
Amy Owens
:
Depends On:
Blocks: 425231 427574
  Show dependency treegraph
 
Reported: 2007-10-08 17:58 EDT by James Bowes
Modified: 2013-01-10 04:55 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 16:28:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-10-08 17:58:26 EDT
The content management tools need to populate channel taxonomy data.
Comment 1 James Bowes 2007-10-18 13:10:17 EDT
Test Plan:
(details on using the tool are at:
https://engineering.redhat.com/trac/rhn-hosted/wiki/EUS/ChannelTaxonomy/Tools)
* Create a channel
* associate a taxonomy data with the channel. Note that the maker, etc must
already exist in the database.
* Ensure that the channel is now categorized correctly in the channels list
Comment 2 Bret McMillan 2007-11-06 22:34:12 EST
Happy to test it, but where does rhn-taxonomy live?  rhncc repo doesn't seem to
have it.
Comment 3 James Bowes 2007-11-07 16:31:55 EST
rhn-taxonomy is post 504. this is just for --add-taxonomy.
Comment 4 James Bowes 2007-12-18 09:52:52 EST
Test plan:
  Read taxonomy data for a channel -
    rhn-manage-channel-internal --server dev --read-taxonomy
--label=rhel-i386-server-5
  Read taxonomy for a non-existant channel and ensure an error is shown.
  Update taxonomy data for a channel -
    Use the data from a read saved to a file, updating values.
    rhn-manage-channel-internal --server dev --update-taxonomy=my-taxonomy.csv
    Use --commit to save the changes and verify them via read-taxonomy or the webui.
    Alter some values to bad data and ensure appropriate errors are returned.
    Ensure that trimline and releasestate can be empty.
  Add taxonomy data for a channel -
    create a new channel with rhn-manage-channel-internal, then use the
--add-taxonomy=a-taxonomy.csv option to associate taxonomy data with that channel.

Note You need to log in before you can comment on or make changes to this bug.